groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 03/09: [tests]: Fix test failure on Solaris 11.


From: G. Branden Robinson
Subject: [groff] 03/09: [tests]: Fix test failure on Solaris 11.
Date: Sat, 18 Feb 2023 02:04:47 -0500 (EST)

gbranden pushed a commit to branch master
in repository groff.

commit f4208baddc4a94b707f516e976f8ccb23dbebed5
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
AuthorDate: Thu Feb 16 11:49:51 2023 -0600

    [tests]: Fix test failure on Solaris 11.
    
    * src/roff/groff/tests/device_control_escapes_express_basic_latin.sh:
      Use printf(1), which is often a shell built-in command, more
      consistently.  Double backslashes intended as literals in the format
      string, and single-quote format strings using them.  Fixes test
      failure seen on Solaris 11 with GNU Bash 4.4 and ksh 93u+
      (2012-08-01).
    
    Also spell failure message in full capitals, like all other tests
    producing this sort of output.
---
 ChangeLog                                                        | 9 +++++++++
 .../groff/tests/device_control_escapes_express_basic_latin.sh    | 6 +++---
 2 files changed, 12 insertions(+), 3 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 25667faa8..8f9d8a492 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2023-02-16  G. Branden Robinson <g.branden.robinson@gmail.com>
+
+       * src/roff/groff/tests/\
+       device_control_escapes_express_basic_latin.sh: Use printf(1),
+       which is often a shell built-in command, more consistently.
+       Double backslashes intended as literals in the format string,
+       and single-quote format strings using them.  Fixes test failure
+       seen on Solaris 11 with GNU Bash 4.4 and ksh 93u+ (2012-08-01).
+
 2023-02-15  G. Branden Robinson <g.branden.robinson@gmail.com>
 
        * tmac/tests/an_use-input-traps-correctly.sh: Explicitly test
diff --git a/src/roff/groff/tests/device_control_escapes_express_basic_latin.sh 
b/src/roff/groff/tests/device_control_escapes_express_basic_latin.sh
index 0bc308e5e..64189138f 100755
--- a/src/roff/groff/tests/device_control_escapes_express_basic_latin.sh
+++ b/src/roff/groff/tests/device_control_escapes_express_basic_latin.sh
@@ -33,12 +33,12 @@ check_char () {
   output=$2
   description=$3
   device=$4
-  printf 'checking conversion of \%s to %s (%s) on device %s' \
+  printf 'checking conversion of \\%s to %s (%s) on device %s' \
     "$sc" "$output" "$description" "$device" >&2
-  if ! printf "\\X#\\%s %s#\n" "$sc" "$desc" | "$groff" -T$device -Z \
+  if ! printf '\\X#\\%s %s#\n' "$sc" "$desc" | "$groff" -T$device -Z \
     | grep -Fqx 'x X '$output' '
   then
-    printf '...failed' >&2
+    printf '...FAILED' >&2
     fail=yes
   fi
   printf '\n' >&2



reply via email to

[Prev in Thread] Current Thread [Next in Thread]